--- sockd.orig	2005-01-14 10:31:38 +0500
+++ sockd	2005-01-31 14:06:39 +0500
@@ -30,13 +30,13 @@
 
 start () {
 	is_yes "$NETWORKING" || return 0
-	start_daemon --pidfile "$PIDFILE" --lockfile "$LOCKFILE" --expect-user root -- sockd $EXTRAOPTIONS
+	start_daemon --pidfile "$PIDFILE" --lockfile "$LOCKFILE" --expect-user nosockd -- sockd -D $EXTRAOPTIONS
 	RETVAL=$?
 	return $RETVAL
 }
 
 stop () {
-	stop_daemon --pidfile "$PIDFILE" --lockfile "$LOCKFILE" --expect-user root -- sockd
+	stop_daemon --pidfile "$PIDFILE" --lockfile "$LOCKFILE" --expect-user nosockd -- sockd
 	RETVAL=$?
 	return $RETVAL
 }
@@ -48,7 +48,7 @@
 
 reload () {
 	msg_reloading sockd
-	stop_daemon --pidfile "$PIDFILE" --expect-user root -HUP -- sockd
+	stop_daemon --pidfile "$PIDFILE" --expect-user nosockd -HUP -- sockd
 	RETVAL=$?
 	return $RETVAL
 }
@@ -61,9 +61,6 @@
 	stop)
 		stop
 		;;
-	status)
-		status
-		;;
 	restart)
 		restart
 		;;
@@ -86,7 +83,7 @@
 		fi
 		;;
 	status)
-		status --pidfile "$PIDFILE" --expect-user root -- sockd
+		status --pidfile "$PIDFILE" --expect-user nosockd -- sockd
 		RETVAL=$?
 		;;
 	*)
